<head>
    <title>Свадебный квест | Регистрация</title>
</head>

<link rel="stylesheet" href="/static/base.css">

<form autocomplete='off' class='form' method="post" action="{% url 'signup' %}">
    {% csrf_token %}
    <div class='control'>
        <h1>
            Регистрация
        </h1>
    </div>
    <div class='control block-cube block-input'>
        {{ form.username }}
        <div class='bg-top'>
            <div class='bg-inner'></div>
        </div>
        <div class='bg-right'>
            <div class='bg-inner'></div>
        </div>
        <div class='bg'>
            <div class='bg-inner'></div>
        </div>
    </div>
    <div class='control block-cube block-input'>
        {{ form.password1 }}
        <div class='bg-top'>
            <div class='bg-inner'></div>
        </div>
        <div class='bg-right'>
            <div class='bg-inner'></div>
        </div>
        <div class='bg'>
            <div class='bg-inner'></div>
        </div>
    </div>
    <div class='control block-cube block-input'>
        {{ form.password2 }}
        <div class='bg-top'>
            <div class='bg-inner'></div>
        </div>
        <div class='bg-right'>
            <div class='bg-inner'></div>
        </div>
        <div class='bg'>
            <div class='bg-inner'></div>
        </div>
    </div>
    <button class='btn block-cube block-cube-hover' name='submit' type='submit'>
        <div class='bg-top'>
            <div class='bg-inner'></div>
        </div>
        <div class='bg-right'>
            <div class='bg-inner'></div>
        </div>
        <div class='bg'>
            <div class='bg-inner'></div>
        </div>
        <div class='text'>
            Зарегистрироваться
        </div>
    </button>
    <a href="{% url 'login'%}" style="text-decoration: none;">
        <button class='btn block-cube block-cube-hover' name='login' type='button'>
            <div class='bg-top'>
                <div class='bg-inner'></div>
            </div>
            <div class='bg-right'>
                <div class='bg-inner'></div>
            </div>
            <div class='bg'>
                <div class='bg-inner'></div>
            </div>
            <div class='text'>
                Войти
            </div>
        </button>
    </a>
    <div class='error'>
        {% if error_msg %}
        <p>{{ error_msg }}</p>
        {% endif %}
    </div>
</form>
